# XXX generate per-os macro to test
%{expand: %%global this_os_is_%{_os} %%{nil}}
%{?this_os_is_linux:%define	_bindir		/bin}
%{?this_os_is_linux:%define	_libexecdir	/sbin}

Summary: A GNU archiving program.
Name: cpio
Version: 2.4.2
Release: 1.3.0
License: GPL
Group: Applications/Archiving
Source: ftp://prep.ai.mit.edu/pub/gnu/cpio-2.4.2.tar.gz
Patch0: cpio-2.3-lstat.patch
Patch1: cpio-2.4.2-glibc.patch
Patch2: cpio-2.4.2-mtime.patch
Patch3: cpio-2.4.2-svr4compat.patch
Patch4: cpio-2.4.2-glibc21.patch
Patch5: cpio-2.4.2-longlongdev.patch
Patch6: cpio-2.4.2-emptylink.patch
Patch7: cpio-2.4.2-stdout.patch
Patch8: cpio-2.4.2-fhs.patch
Patch9: cpio-2.4.2-errorcode.patch
Patch10: cpio-2.4.2-man.patch
Patch11: cpio-2.4.2-debian36.patch

Buildroot: %{_tmppath}/%{name}-root

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.

%prep
%setup -q
# patch 0 not applied
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .svr4compat
%patch4 -p1 -b .glibc21
%patch5 -p1 -b .longlongdev
%patch6 -p1 -b .emptylink
# XXX patch7 not applied
#%patch7 -p1 -b .stdout
%patch8 -p1 -b .fhs
%patch9 -p1 -b .errorcode
%patch10 -p1 -b .man
%patch11 -p1 -b .debian

%build

%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall

{ cd ${RPM_BUILD_ROOT}

  gzip -9nf .%{_infodir}/cpio.*
  rm -f .%{_infodir}/dir
}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post

%preun

%files
%defattr(-,root,root)
%doc README NEWS
# Had to take out the man1/mt.1 - conflicts with mt-st rpm
# %doc %{_mandir}/man*/*
%doc %{_mandir}/man*/[!m][!t]*
%doc %{_infodir}/*.info*
%{_bindir}/cpio

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Mon Oct 01 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.4.2, Release 1.1.0
  - removed %{_mandir}/man1/mt.1 - conflicts with mt-st rpm

* Tue Aug 07 2001 Dave Wreski <dave@guardiandigital.com>
- Version 2.4.2, Release 1.1.0
  - initial build for 1.1
  - adapt from RH spec
